## Class THttpCookie

Description

THttpCookie class.

A THttpCookie instance stores a single cookie, including the cookie name, value, domain, path, expire, and secure.

- since: 3.0
- version: $Id: THttpRequest.php 2364 2008-01-13 15:27:49Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/THttpRequest.php (line 906)

    TComponent
       |
       --THttpCookie

Method Summary
THttpCookie __construct (string $name, string $value)
string getDomain ()
integer getExpire ()
string getName ()
string getPath ()
boolean getSecure ()
string getValue ()
void setDomain (string $value)
void setExpire (integer $value)
void setName (string $value)
void setPath (string $value)
void setSecure (boolean $value)
void setValue (string $value)
Methods
Constructor __construct (line 938)

Constructor.

- access: public

THttpCookie __construct (string $name, string $value)

- string $name: name of this cookie
- string $value: value of this cookie

getDomain (line 947)

- return: the domain to associate the cookie with
- access: public

string getDomain ()
getExpire (line 963)

- return: the time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch.
- access: public

integer getExpire ()
getName (line 979)

- return: the name of the cookie
- access: public

string getName ()
getPath (line 1011)

- return: the path on the server in which the cookie will be available on, default is '/'
- access: public

string getPath ()
getSecure (line 1027)

- return: whether the cookie should only be transmitted over a secure HTTPS connection
- access: public

boolean getSecure ()
getValue (line 995)

- return: the value of the cookie
- access: public

string getValue ()
setDomain (line 955)

- access: public

void setDomain (string $value)

- string $value: the domain to associate the cookie with

setExpire (line 971)

- access: public

void setExpire (integer $value)

- integer $value: the time the cookie expires. This is a Unix timestamp so is in number of seconds since the epoch.

setName (line 987)

- access: public

void setName (string $value)

- string $value: the name of the cookie

setPath (line 1019)

- access: public

void setPath (string $value)

- string $value: the path on the server in which the cookie will be available on

setSecure (line 1035)

- access: public

void setSecure (boolean $value)

- boolean $value: ether the cookie should only be transmitted over a secure HTTPS connection

setValue (line 1003)

- access: public

void setValue (string $value)

- string $value: the value of the cookie

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:08 -0400 by phpDocumentor 1.3.0RC4